package com.yh.saas.plugin.operation.exception;

import lombok.Getter;

/**
 * 运营后台错误码
 *
 * @author SunTianjun
 */
public enum OperationErrorCodeEnums {
    //用户名已存在
    TENANT_NAME_REPEAT("OPERATION-001", "用户名已存在"),

    //账户注册用：用户名已存在
    TENANT_NAME2_REPEAT("OPERATION-002", "手机号已被占用"),

    //手机号已被占用
    TENANT_PHONE_REPEAT("OPERATION-003", "该公司名称已被注册，请修改注册公司名称"),

    TENANT_COMP_DOMAIN_NAME_REPEAT("MANAGEMENT-010", "域名重复!"),

    PHONE_VERIFICATION_CODE_INCORRECT("MANAGEMENT-011", "手机验证码不正确!"),
    ;

    @Getter
    private String value;

    @Getter
    private String desc;

    private OperationErrorCodeEnums(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "[" + this.value + "]" + this.desc;
    }
}
